package com.nokia.finance.tasks.dao.house;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface HouseProcedureDao {
    /**
     * 更新自有房产维修
     */
    @Update("""
with
t101 as (
select * from house.building_month where year_month = (select max(year_month) from house.building_month)
)
update house.building_repair_month a set
second_unit = b.second_unit,
third_unit = b.third_unit,
city = b.city,
district = b.district,
area_no = b.area_no,
area_name = b.area_name,
city_no = b.city_no,
city_name = b.city_name
from t101 b where a.jz_jzid = b.building_id and a.year_month = (select max(year_month) from house.building_repair_month)
""")
    int updateBuildingRepairMonth();
}
